
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>图片人脸检测 (I)【sample改版 人眼检测】 / iVAN</title>

    <meta name="description" content="图片人脸检测 (I)【sample改版 人眼检测】 下面的代码直接可以运行,且效果很好,sample原版改版: // face_detect.cpp : 定义控制台应用程序的入口点. // //#include &quot;stdafx.h&quot; #include &quot;opencv2/objdetect/objdetect.hpp&quot; #include &quot;opencv2/highgui/highgui.hpp&quot; #include &quot;opencv2/imgproc/imgproc.hpp&quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">图片人脸检测 (I)【sample改版 人眼检测】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>下面的代码直接可以运行，且效果很好，sample原版改版：</p>
<pre>// face_detect.cpp : 定义控制台应用程序的入口点。
//

//#include "stdafx.h"

#include "opencv2/objdetect/objdetect.hpp"
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/imgproc/imgproc.hpp"
#include "opencv2/ml/ml.hpp"

#include &lt;iostream&gt;
#include &lt;stdio.h&gt;

using namespace std;
using namespace cv;

String cascadeName = "./haarcascade_frontalface_alt2.xml";//人脸的训练数据
//String nestedCascadeName = "./haarcascade_eye_tree_eyeglasses.xml";//人眼的训练数据
String nestedCascadeName = "./haarcascade_eye.xml";//人眼的训练数据

void detectAndDraw( Mat&amp; img,
	CascadeClassifier&amp; cascade, CascadeClassifier&amp; nestedCascade,
	double scale)
{
	int i = 0;
	double t = 0;
	vector&lt;Rect&gt; faces;
	const static Scalar colors[] =  { CV_RGB(0,0,255),
		CV_RGB(0,128,255),
		CV_RGB(0,255,255),
		CV_RGB(0,255,0),
		CV_RGB(255,128,0),
		CV_RGB(255,255,0),
		CV_RGB(255,0,0),
		CV_RGB(255,0,255)} ;//用不同的颜色表示不同的人脸

	Mat gray, smallImg( cvRound (img.rows/scale), cvRound(img.cols/scale), CV_8UC1 );//将图片缩小，加快检测速度

	cvtColor( img, gray, CV_BGR2GRAY );//因为用的是类haar特征，所以都是基于灰度图像的，这里要转换成灰度图像
	resize( gray, smallImg, smallImg.size(), 0, 0, INTER_LINEAR );//将尺寸缩小到1/scale,用线性插值
	equalizeHist( smallImg, smallImg );//直方图均衡

	t = (double)cvGetTickCount();//用来计算算法执行时间

	//检测人脸
	//detectMultiScale函数中smallImg表示的是要检测的输入图像为smallImg，faces表示检测到的人脸目标序列，1.1表示
	//每次图像尺寸减小的比例为1.1，2表示每一个目标至少要被检测到3次才算是真的目标(因为周围的像素和不同的窗口大
	//小都可以检测到人脸),CV_HAAR_SCALE_IMAGE表示不是缩放分类器来检测，而是缩放图像，Size(30, 30)为目标的
	//最小最大尺寸
	cascade.detectMultiScale( smallImg, faces,
		1.1, 2, 0
		//|CV_HAAR_FIND_BIGGEST_OBJECT
		//|CV_HAAR_DO_ROUGH_SEARCH
		|CV_HAAR_SCALE_IMAGE
		,
		Size(30, 30) );

	t = (double)cvGetTickCount() - t;//相减为算法执行的时间
	printf( "detection time = %g ms\n", t/((double)cvGetTickFrequency()*1000.) );
	for( vector&lt;Rect&gt;::const_iterator r = faces.begin(); r != faces.end(); r++, i++ )
	{
		Mat smallImgROI;
		vector&lt;Rect&gt; nestedObjects;
		Point center;
		Scalar color = colors[i%8];
		int radius;
		center.x = cvRound((r-&gt;x + r-&gt;width*0.5)*scale);//还原成原来的大小
		center.y = cvRound((r-&gt;y + r-&gt;height*0.5)*scale);
		radius = cvRound((r-&gt;width + r-&gt;height)*0.25*scale);
		circle( img, center, radius, color, 3, 8, 0 );

		//检测人眼，在每幅人脸图上画出人眼
		if( nestedCascade.empty() )
			continue;
		smallImgROI = smallImg(*r);

		//和上面的函数功能一样
		nestedCascade.detectMultiScale( smallImgROI, nestedObjects,
			1.1, 2, 0
			//|CV_HAAR_FIND_BIGGEST_OBJECT
			//|CV_HAAR_DO_ROUGH_SEARCH
			//|CV_HAAR_DO_CANNY_PRUNING
			|CV_HAAR_SCALE_IMAGE
			,
			Size(30, 30) );
		for( vector&lt;Rect&gt;::const_iterator nr = nestedObjects.begin(); nr != nestedObjects.end(); nr++ )
		{
			center.x = cvRound((r-&gt;x + nr-&gt;x + nr-&gt;width*0.5)*scale);
			center.y = cvRound((r-&gt;y + nr-&gt;y + nr-&gt;height*0.5)*scale);
			radius = cvRound((nr-&gt;width + nr-&gt;height)*0.25*scale);
			circle( img, center, radius, color, 3, 8, 0 );//将眼睛也画出来，和对应人脸的图形是一样的
		}
	}
	cv::imshow( "result", img );
}

int main( int argc, const char** argv )
{
	Mat image;
	CascadeClassifier cascade, nestedCascade;//创建级联分类器对象
	double scale = 1.3;

	//image = imread( "lena.jpg", 1 );//读入lena图片
	image = imread("0055.jpg",1);
	namedWindow( "result", 1 );//opencv2.0以后用namedWindow函数会自动销毁窗口

	if( !cascade.load( cascadeName ) )//从指定的文件目录中加载级联分类器
	{
		cerr &lt;&lt; "ERROR: Could not load classifier cascade" &lt;&lt; endl;
		return 0;
	}

	if( !nestedCascade.load( nestedCascadeName ) )
	{
		cerr &lt;&lt; "WARNING: Could not load classifier cascade for nested objects" &lt;&lt; endl;
		return 0;
	}

	if( !image.empty() )//读取图片数据不能为空
	{
		detectAndDraw( image, cascade, nestedCascade, scale );
		waitKey(0);
	}

	return 0;
}</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA4MDUxNTQxMzM1NjI=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 07:04:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>图片人脸检测 (I)【sample改版 人眼检测】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RrNWz.html" rel="bookmark">ILSVRC2016目标检测任务回顾&mdash;&mdash;视频目标检测（VID）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网(公众号:雷锋网)按:本文作者王斌,中科院计算所前瞻研究实验室跨媒体计算组博士生,导师张勇东研究员.2016年在唐胜副研究员的带领下,作为计算所MCG-ICT-CAS团队核心主力队员(王斌.肖俊斌),参加了ImageNet大规模视觉识别挑战赛(ILSVRC)的视频目标检测(VID)任务并获得第三名.目标检测相关工作受邀在ECCV 2016 ImageNet和COCO竞赛联合工作组会议(ImageNet and COCO Visual Recognition Challenges Joint			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKAy0z.html" rel="bookmark">视频图片人脸检测 &lpar;III&rpar;【加注释】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源程序: #include &quot;cv.h&quot; #include &quot;highgui.h&quot; #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #include &lt;string.h&gt; #include &lt;assert.h&gt; #include &lt;math.h&gt; #include &lt;float.h&gt; #include &lt;limits.h&gt; #include &lt;ti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxoamjb.html" rel="bookmark">图片人脸检测 &lpar;II&rpar;【ch13】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ch13 运行效果同样good: //人脸检测 #include &lt;opencv2/opencv.hpp&gt; #include &lt;cstdio&gt; #include &lt;cstdlib&gt; #include &lt;Windows.h&gt; using namespace std; int main() { // 加载Haar特征检测分类器 // haarcascade_frontalface_alt.xml系OpenCV自带的分类器 下面是我机器上的文件路径 const c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zO61Qp.html" rel="bookmark">百度图片搜索大动作 相关改版分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道百度最近正在大幅提高用户体验,除了令站长们刻骨铭心的作弊站点和垃圾站点清查之外,新首页的推出.自身内容质量的加强都是让人耳目一新的改变.不过今日百度又做了一个更大的用户体验提升,会给广大用户带来更多的惊喜,那就是百度图片.从前的百度图片在我看来真的很一般,清晰度.精准度等都让我不敢恭维.不过经过这次大尺度改版之后,我真的决定以后都用百度图片了(不是广告哦). 视觉效果 旧版首页:   新版首页:   这是百度图片的新旧首页对比.单从首页来看,就已经有一种脱胎换骨的感觉了.首页使用图片导			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKox5M.html" rel="bookmark">asp&period;net安全检测工具：Padding Oracle检测</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要介绍一个检测Padding Oracle的一个工具: Ethical Hacking ASP.NET. 这是一个在codeplex上开源的asp.net安全检测工具,最新的1.3版本一个很重要的功能就是Padding Oracle的检测,昨天我随意的检测了一下博客园的设置,今天博客园团队进行了改进,用这个工具检测了 一下,发现还是可以检测出来. 那么我们来检测一下http://www.asp.net,工具已经检测不出来了 使用方法非常简单 目标URL文本框输入一个有效的URL.您也可以选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kmRBM.html" rel="bookmark">目的轮廓检测-目的轮廓用cvcanny检测后，部分轮廓缺失，求加强边缘的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 目的轮廓用cvcanny检测后,部分轮廓缺失,求加强边缘的方法 目的轮廓为内圆环用cvcanny检测,阈值0,255 还是有边缘缺失,不能组成完整轮廓,谁知道怎么让边缘更好检测些吗 解决方案 OpenCV:Snake方法检测可变形体的轮廓			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RGyvb.html" rel="bookmark">matlab 图像检测-用matlab做图像检测运行时</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用matlab做图像检测运行时 出现错误显示 : Error using fileparts Too many output arguments. 请教大神! 解决方案 错误使用fileparts太多的输出参数. 用matlab软件里点击错误的提示,会有一个相关文档介绍那个命令的用法,试试吧,效率挺高,省时间! 解决方案二: 输出的参数超出了函数的定义 比如定义的是这:B = imfilter(A,h) 你用的时候 [B,C]= imfilter(A,h) 解决方案三: 输出的参数超出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeo1EjM.html" rel="bookmark">USB转串口通过windows消息检测拨出，为什么检测不到？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 正如题,我需要通过USB转串口线向外传送数据,在网上找了很久才找到了一个用例,修改了下只能检测到插入消息,怎么也检测不到拨出消息,但换成U盘就可以,通过将消息弹出拨出时只检测到了消息为&quot;7&quot;我的是笔记本电脑.请高手指点下是什么原因?完代码如下://usb消息定义publicconstintWM_DEVICE_CHANGE=0x219;publicconstintDBT_DEVICEARRIVAL=0x8000;publicconstintDBT_DEVICE_REMOVE_C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26xg4b.html" rel="bookmark">机器视觉在带钢针孔检测中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着带钢生产技术的不断提高,包装行业对金属质量提出了更高的要求,针孔为带钢常见的产品缺陷,将直接影响到容器包装的密封性能.很小的针孔洞眼都会严重影响带钢产品的质量‚所以对带钢表面针孔检测显得尤为重要. 传统的带钢生产企业都是借助人眼进行表面针孔缺陷检测‚但是由于人工检测成本昂贵.易于疲劳以及人眼无法在高速运行的钢带生产线上进行检测‚所以传统的人眼检测无法满足高质量的带钢生产工艺的要求.机器视觉针孔检测系统‚在钢带生产企业中的应用‚为带钢针孔检测提供很好的针孔检测方案. 带钢针孔检测工作原理 使用			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgydBz.html" rel="bookmark" class="title">Dreamweaver 4 简明教程&lpar;五、让你的网页更漂亮之四&rpar;</a>
					<div>
						dreamweaver|教程|网页 样式表使文字更添风采 上面讲到的,都是一些最基本的对文字的设置,如果想在文字上玩出更多的花样,就需要借助样式表的帮忙了. 在编辑状态,按Shift+F11,可进入样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxDN7M.html" rel="bookmark" class="title">MySQL数据库中数据库移植中的乱码问题</a>
					<div>
						MySQL移植含有中文的数据时,很容易出现乱码问题.很多是在从MySQL4.x向MySQL5.x移植的时候出现.MySQL的缺省字符集是latin1,在使用MySQL4.x的时候,很多人都是用的lat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9V4vp.html" rel="bookmark" class="title">一种全新的软件界面设计方法&lpar;摘&rpar;</a>
					<div>
						设计 关键字:COM MySpy IE SetUIHanlder IcustomDoc IDocHostUIHandler GetExternal 前言 作者在解决各种问题的时候喜欢首先使用C++ B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnN9Ap.html" rel="bookmark" class="title">如何让Excel公式自动重算</a>
					<div>
						excel 输入数值后不会自动计算,需要双击本来会自动调整的单元格,再回车,才会计算出数值.如图: 这是用户教我的,解决方法: 工具--选项--重新计算--将手动改成自动重新计算 查看本栏目更多精彩内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P880M.html" rel="bookmark" class="title">Rails测试《六》实战单元测试</a>
					<div>
						用factory-girl替换fixtures来创建模拟数据2 上一篇我们介绍了factory-girl,这是一个很好的工具,可以用来替代rails中的fixtures,用来生成模拟数据. 它直观,易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NO0Wz.html" rel="bookmark" class="title">电商提升用户体验的几个方面</a>
					<div>
						随着电子商务的火热,越来越多的电子商务网站出现在互联网行业里,除了传统的专门做电子商务的公司外,现在很多企业都建有自己的电子商务网站,也有 很多企业开始进军这块领域,导致竞争越发激烈,时不时会爆出价格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WxDAb.html" rel="bookmark" class="title">Photoshop给树林人物照片调出流行的蓝紫色</a>
					<div>
						蓝紫色图片调色比较讲究,调色之前可以先把素材图片调成暖色,然后把暖色调淡.后期再给图片的高光及暗增加蓝色和紫色即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选颜色调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGwOdp.html" rel="bookmark" class="title">谷歌浏览器怎么屏蔽广告</a>
					<div>
						  1.首先,我们打开谷歌浏览,点击右上角的菜单图标,弹出菜单,点击设置 2.进入设置页面后,我们切换到扩展程序,然后点击获取更多扩展程序的连接 3.进入网上应用店之后,我们在左边搜索栏里,搜索&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42YNYM.html" rel="bookmark" class="title">Windows7常见故障及其解决办法</a>
					<div>
						Windows7常见故障及其解决办法 据国外媒体报道,微软新操作系统Windows 7发售已经一个多月时间了.许多抢先体验Windows 7的用户在安装.使用过程中常会遇到一些恼人的问题.下面是科技博 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrrR8M.html" rel="bookmark" class="title">同步通知 电商-关于支付系统中同步通知和异步通知时什么为什么需要同步通知和异步通知</a>
					<div>
						问题描述 关于支付系统中同步通知和异步通知时什么为什么需要同步通知和异步通知 在电商发起订单支付中到支付系统支付完成之后 为什么需要发送同步通知或者异步通知,什么是同步通知什么又是异步通知,请大神赐教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NkN1M.html" rel="bookmark" class="title">spring mvc-Spring sf：form等标签使用不了（JSP页面声明了引用）</a>
					<div>
						问题描述 Spring sf:form等标签使用不了(JSP页面声明了引用) type Exception report message /login.jsp (line: 13, column: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxqEEb.html" rel="bookmark" class="title">拨号-android 自动接听电话&comma;并且开扩音导致本机打电话时麦克风无静音状态</a>
					<div>
						问题描述 android 自动接听电话,并且开扩音导致本机打电话时麦克风无静音状态 小弟写了一个软件 ,主要监听并且自动接听电话,接听后用户可以选择打开或者关闭扩音, 但是用我开发的app拨打一次电话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQvJRp.html" rel="bookmark" class="title">天娱女老总承认加盟华友：冤家聚首惹口水仗</a>
					<div>
						龙丹妮 袁涛 晨报记者 徐 宁 原天娱传媒总经理龙丹妮&quot;跳槽&quot;事件终于明朗,昨天,华谊音乐总经理袁涛向记者证实,龙丹妮将入主盛大旗下的华友世纪,出任CEO一职.微妙的是,华友世纪正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA0ZeM.html" rel="bookmark" class="title">charts ap-Echarts 地图鼠标悬浮提示框格式化问题</a>
					<div>
						问题描述 Echarts 地图鼠标悬浮提示框格式化问题 我现在有四个分类分类是['网媒''纸媒''博客''论坛']当鼠标停留在某一个地区时应该显示 北京:(单位:篇) 网媒:100纸媒:200博客:5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7DKoz.html" rel="bookmark" class="title">【2016阿里安全峰会】&OpenCurlyDoubleQuote;电商金融系统与业务安全&rdquo;全解读【附PDF下载】</a>
					<div>
						一年一度的阿里安全峰会创立于2014 年,今年已是第三届,于7月13-14日在北京国家会议中心举办.峰会旨在促进亚太区信息安全行业发展,为本地区信息安全组织.信息安全专业人士和决策者搭建一个信息交流展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxYWdb.html" rel="bookmark" class="title">小技巧：在Ubuntu 14&period;04中重置Unity和Compiz设置</a>
					<div>
						小技巧:在Ubuntu 14.04中重置Unity和Compiz设置 如果你一直在试验你的Ubuntu系统,你可能最终以Unity和Compiz的一片混乱收场.在此贴士中,我们将看看怎样来重置Ubun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZZyYM.html" rel="bookmark" class="title">c语言编程-图书租借管理系统   C语言编程</a>
					<div>
						问题描述 图书租借管理系统 C语言编程 图书店需要管理图书的租借信息,试设计一图书租借管理系统,使之能提供以下功能: (1) 能从文件导入图书的租借信息 (2) 能从键盘录入图书的租借信息,图书号,租 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXeBmz.html" rel="bookmark" class="title">PS设计一个3D的木箱</a>
					<div>
						第一步:创建一个新的文档 在Photoshop中创建一个300X300像素大小,白色背景的文档.你可以改变文档的大小,但是要保证高度和宽度之比为1:1. 小贴士:使用图层组可以将一组图层放在一起便于一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rZlap.html" rel="bookmark" class="title">Threejs 官网 - 不可见对象（Invisible objects）</a>
					<div>
						Threejs 官网 - 不可见对象(Invisible objects) 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeBNOb.html" rel="bookmark" class="title">我用js和html做表格 想修改表格中已经添加的数据 并且在弹出窗口完成</a>
					<div>
						问题描述 我用js和html做表格 想修改表格中已经添加的数据 并且在弹出窗口完成 &lt;%@ page language=&quot;java&quot; import=&quot;java.ut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0xo4M.html" rel="bookmark" class="title">byte-BitmapFactory&period;decodeByteArray中各个参数的的含义</a>
					<div>
						问题描述 BitmapFactory.decodeByteArray中各个参数的的含义 BitmapFactory.decodeByteArray(byte[] data,int offset,int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7n6Gz.html" rel="bookmark" class="title">Ovum重磅报告：2016年RAN供应商市场份额及收入预测</a>
					<div>
						随着诺基亚对阿尔卡特朗讯收购交易的完成,无线接入网络(RAN)市场现在已经缩减至6家主要厂商.在这6家厂商中,有3家公司合计共占据了82%的市场份额. 鉴于整体基站收入将会持续下滑的预期,作为确保盈利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnZ4NM.html" rel="bookmark" class="title">utf-8-xmapp中mysql的默认字符集的修改问题</a>
					<div>
						问题描述 xmapp中mysql的默认字符集的修改问题 在机器上装了xmapp时,并没有提示要为mysql设置字符集. 使用如下命令发现. show variables like '%char%' 结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL86YM.html" rel="bookmark" class="title">调查显示：四成开发商认为调控年根见底</a>
					<div>
						半数开发商要&quot;观望&quot; 对于未来楼市新政的调控效果,购房者和开发商两者的预期相差甚远. 四成开发商认为本轮调控年根将&quot;见底&quot;,而认为本轮调控远没有达到预期效果的购 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze04vjp.html" rel="bookmark" class="title">欢乐大团购</a>
					<div>
						道场坪巴氏杀菌新鲜羊奶 首次推广的有机新鲜山羊奶,来自临安昌化的省内唯一羊奶源供应基地.&quot;道场坪&quot;德国波尔山羊,全生态放牧.道场坪巴氏杀菌新鲜羊奶12瓶(220ml)仅售102元, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnKk8p.html" rel="bookmark" class="title">php 过滤器实现代码&lowbar;php技巧</a>
					<div>
						在以前,一个用户通过网络主要是获取信息.而如今的网络刚更注重与用户的交互,用户不再仅仅是网站的浏览者,也是网站内容的制造者.由以前单纯的&quot;读&quot;向&quot;写&quot;以及&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk46lp.html" rel="bookmark" class="title">jQuery打字效果实现方法&lpar;附demo源码下载&rpar;&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery打字效果实现方法.分享给大家供大家参考,具体如下: 运行效果截图如下: 点击此处查看在线演示效果. 1.前台页面代码: &lt;!DOCTYPE html PUBLIC &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkwjaM.html" rel="bookmark" class="title">修改c盘文件-请问怎么去修改C盘的文件</a>
					<div>
						问题描述 请问怎么去修改C盘的文件 C盘的文件不让修改,百度了说是用注册表可以改,请问那个高手可以指点一下吗,怎么用注册表去改 解决方案 你有没有管理员权限啊 解决方案二: 以管理员的身份打开cmd端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DRGrb.html" rel="bookmark" class="title">C&num;如何查看可用内存容量</a>
					<div>
						问题描述 在.net2013中,如何通过C#代码实现查看内存剩余空间.(只能用支持WindowsStore的类) 解决方案 解决方案二:Windows.System.MemoryManager需要wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NAP3p.html" rel="bookmark" class="title">社交自媒体走红：在微博上摆摊 最潮生意经</a>
					<div>
						早晨,上班族从小区电梯里走出,赶往公交车站时,会碰到路口小巷摆成一排的菜摊,水果摊,早点摊,狭路相逢,拎起豆浆鸡蛋烧饼油条就走.摊主们送走上班族,又迎来送完孩子上学,和公园晨练归来,顺便买个蔬果的主妇 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
